Subject: Re: Migrating Repository without Network

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 15:23:33 -0700

"D. Ben Knoble" <[email-masked]> writes:

> On Tue, Oct 21, 2025 at 10:52 AM Dennis Putnam <[email-masked]> wrote:
>>
>> I have a server with a git repository whose NIC is no longer working. I
>> need to migrate that repository to a new server using a flash drive. I
>> can only find instructions for migrating when both servers have network
>> access. Can someone tell me how to do a migration without using a
>> network? TIA.
>
> Have a look at git-bundle(1), which was designed for something similar
> to this use case I believe. Or, rsync the repo to the flash drive and
> then off?

But bundle is only about preserving/transporting the history
recorded in the repository.  It does not do the repository config or
the hooks.  Those folks would want to migrate the entire repository
data off of a failing server, so I think "rsync/cp" would be the
more sensible route.

Thanks.